Ryzehosting
  1. ticket
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
    • password
    • hardware
    • reinstall
    • rrddata
    • cancel
    • status
    • prices
    • config
    • renew
    • power
    • hosts
    • order
    • vnc
    • list
    • ptr
    • os
  • webspace
    • packages
    • details
    • renew
    • status
    • order
    • list
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
      GET
    • message
      POST
    • details
      GET
    • create
      POST
    • open
      POST
    • close
      POST
    • list
      GET
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. ticket

messages

GET
ticket/{$uuid}/messages

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/ticket/019b221d-9b9e-8e95-a225-731db6e23a15/messages' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched messages",
    "state": "success",
    "code": 200,
    "data": {
        "new_messages": [
            {
                "id": 1403,
                "uuid": "019b221d-9b9e-8e95-b617-11973a0f2e2e",
                "userid": 1,
                "author_name": "Simon Mariacher",
                "author_image": "https://www.gravatar.com/avatar/f63a048b31c3a37e1b3118339d88f418?s=100&d=404",
                "message": "Beide Server haben Probleme mit der Netzwerkverbindung.",
                "created_at": "2025-12-15 14:05:24",
                "formatted_date": "15.12.2025 um 14:05 Uhr",
                "is_system": false
            },
            {
                "id": 1404,
                "uuid": "019b221e-2176-818a-8d10-27353358f8c2",
                "userid": 0,
                "author_name": "System",
                "author_image": "https://cdn.ryzehosting.com/ryzelogo100x100.jpg",
                "message": "Das Ticket wurde vom Kunden wieder geöffnet.\n\nMit freundlichen Grüßen\nIhr Support-Team",
                "created_at": "2025-12-15 14:05:58",
                "formatted_date": "15.12.2025 um 14:05 Uhr",
                "is_system": true
            },
            {
                "id": 1405,
                "uuid": "",
                "userid": 1,
                "author_name": "Simon Mariacher",
                "author_image": "https://www.gravatar.com/avatar/f63a048b31c3a37e1b3118339d88f418?s=100&d=404",
                "message": "Fixed\r\n\r\nIch verbleibe mit vorzüglicher Hochachtung\r\nund freundlichen Grüßen\r\nSimon Mariacher\r\nCEO | Ryzehosting\r\n\r\nAdresse: Hauptstraße 43, 2563 Pottenstein, Österreich\r\nE-Mail: mariacher@ryzehosting.com\r\nTelefon: +43 (0)660 786 4444\r\nWebseite: https://ryzehosting.com/\r\n\r\nGISA-Zahl: 38665356\r\nUID-Nr.: ATU82348737\r\nKammer: Mitglied der Wirtschaftskammer Niederösterreich\r\nAufsichtsbehörde: Bezirkshauptmannschaft Baden",
                "created_at": "2025-12-15 14:06:31",
                "formatted_date": "15.12.2025 um 14:06 Uhr",
                "is_system": false
            }
        ],
        "last_message_id": 1405,
        "ticket_status": "ANSWERED",
        "has_new_messages": true
    }
}
Modified at 2025-12-30 03:57:39
Previous
list
Next
message
Built with